Browse Source

Initialize update hosts from update_hosts file

Add new global variables used in template upgrade script
Georgi Chorbadzhiyski 21 years ago
parent
commit
d74663a6fd
1 changed files with 19 additions and 10 deletions
  1. 19
    10
      config.sh

+ 19
- 10
config.sh View File

@@ -1,28 +1,35 @@
1 1
 #!/bin/sh
2 2
 # SlackCheck configuration file
3 3
 #
4
-# $Id: config.sh,v 1.1 2003/01/05 08:26:12 gf Exp $
4
+# $Id: config.sh,v 1.2 2003/03/07 12:44:17 gf Exp $
5 5
 #
6 6
 
7 7
 PATH="/bin:/usr/bin:/usr/local/bin"
8 8
 
9
-# Hosts that will be updated
10
-SLACK_HOSTS="router ns work man host gf pl300 sounder game noname"
11
-
12
-# Where to look for updates
13
-DL_HOST="http://mirrors.unixsol.org/slackware/current/slackware"
9
+# Where to look for upgrades
10
+DL_HOST="http://mirrors.unixsol.org/slackware/slackware-current/slackware"
14 11
 #DL_HOST="http://www.slackware.at/data/slackware-current/slackware"
15 12
 #DL_HOST="http://ftp.planetmirror.com/pub/slackware/slackware-current/slackware"
16 13
 #DL_HOST="ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware"
17 14
 
15
+MD5_CHECK="1"             # Check md5 sums of downloaded packages
16
+SIG_CHECK="0"             # Check digital signatures of downloaded packages
17
+HOSTS_FILE="update_hosts" # In this file are listed hosts that will be upgraded
18
+REMOTE_DIR="Updates"      # Upgraded packages will be downloaded in this
19
+                          # directory on the remote machine.
20
+                          # Make sure it has enough disk space!
21
+                          # After generating upgrade scripts you can change
22
+                          # this variable per host
23
+REMOTE_DIR_DEL="1"        # Delete directory with downloaded packages after
24
+                          # finishing updates
25
+
18 26
 # This program will be used to download files from web
19 27
 DL_PRG="wget"
20 28
 DL_PRG_OPTS="-nv"
21 29
 
22 30
 # Used for ftp downloads
23 31
 echo $DL_HOST | grep ^ftp://
24
-if [ $? = 0 ]
25
-then
32
+if [ $? = 0 ]; then
26 33
 	DL_PRG="wget"
27 34
 	DL_PRG_OPTS="-nv --passive"
28 35
 fi
@@ -32,6 +39,10 @@ RSH_LISTS="ssh"
32 39
 RSH_UPGRADE="ssh -l root"
33 40
 
34 41
 # NO NEED TO TOUCH ANYTHING BELLOW THIS LINE :)
42
+
43
+SLACK_HOSTS=`grep -v ^# $HOSTS_FILE`
44
+[ $? = 0 ] || exit
45
+
35 46
 DIR_PKG="packages"        # Package lists directory
36 47
 DIR_UPD="updates"         # Update scripts directory
37 48
 
@@ -39,8 +50,6 @@ FILE_NEWEST="PKG_LAST"    # Latest packages filename
39 50
 FILE_UNKPACKS="Non_dist-" # Non distro packages per host
40 51
 FILE_UPDATES="Updates-"   # Update script per host
41 52
 
42
-REMOTE_DIR="Updates"      # Upgrated packages will be DLed here (on the remote machine)
43
-
44 53
 if [ "$INC_CONFIG" != "0" ]
45 54
 then
46 55
 	echo "Do not run $0 directly. Run ./slcheck.sh instead!"

Loading…
Cancel
Save